import i18n from '@/i18n'

/**
 * 生成随机暖心的消息
 * @param {string} name - 用户名
 * @returns {string} 随机暖心的消息
 */
const WarmMessageGenerator = (name) => {
  const getRandomMessage = () => {
    const randomIndex = Math.floor(Math.random() * 20)
    return i18n.t(`warmMessage.message${randomIndex + 1}`, { name })
  }

  const generateMessage = () => {
    return getRandomMessage()
  }

  return {
    generateMessage
  }
}

export default WarmMessageGenerator
